Offline data : ArcGIS Server feature service 10.2.2 : minimum ArcSDE version required

433
3
Jump to solution
06-25-2014 07:48 PM
MarkChilcott
Occasional Contributor III
Hi Peoples,

Do I need ArcSDE 10.2.2 to be able to serve an ArcGIS Server feature service that can be taken Offline and edited in Collector?

If not, what is the minimum ArcSDE version that supports Collector Offline edit / sync ?

Cheers,

Mark
Tags (2)
0 Kudos
1 Solution

Accepted Solutions
GaryMacDougall
Occasional Contributor
Mark

With ArcGIS server, the feature service requires non-versioned archiving in order to make edits and sync with collector. Non-versioned archiving was first supported in ArcSDE 10.2.

thanks
Gary

View solution in original post

0 Kudos
3 Replies
AlexMahrou
Occasional Contributor
Mark you do not need ArcSDE 10.2.2, but what you do need is ArcGIS Server 10.2.2 which is the first version of ArcGIS Server to include the sync service capability for a feature service. I'm not sure on the minimum needed version for ArcSDE that you need to publish a sync enabled feature service, but I can confirm that I am using ArcSDE 10.2 (Not 10.2.2) and using the sync offline capability just fine.

I hope this helps.
0 Kudos
GaryMacDougall
Occasional Contributor
Mark

With ArcGIS server, the feature service requires non-versioned archiving in order to make edits and sync with collector. Non-versioned archiving was first supported in ArcSDE 10.2.

thanks
Gary

View solution in original post

0 Kudos
MarkChilcott
Occasional Contributor III
Hi Gary,

Thanks - that answers the question well.

This means I will now have to consider an ArcSDE 10.1 upgrade as part of the Delivery Server upgrade- something that is going to take a lot more planning and testing.

Cheers,

Mark
0 Kudos